recordings/:id/access-link
curl --request GET \
--url https://api.daily.co/v1/recordings/{recording_id}/access-link \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/recordings/{recording_id}/access-link"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/recordings/{recording_id}/access-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_link": "https://daily-meeting-recordings.s3.us-west-2.amazonaws.com/api-demo/hello/1548790973821?AWSAccessKeyId=AKIAJVYA3B2F4672K3RQ&Expires=1548809176&Signature=xfSPW1kXksNriqmlm%2FT9hb%2Fq%2Bas%3D&response-content-disposition=attachment%3B%20filename%3D%22api-demo%2Fhello%2F1548790973821.webm%22",
"expires": 1548809176
}{
"error": "invalid-request-error",
"info": "missing required field"
}Recordings
Get Recording Link
Generate an access link for a recording
GET
/
recordings
/
{recording_id}
/
access-link
recordings/:id/access-link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200
Example:
"https://daily-meeting-recordings.s3.us-west-2.amazonaws.com/api-demo/hello/1548790973821?AWSAccessKeyId=AKIAJVYA3B2F4672K3RQ&Expires=1548809176&Signature=xfSPW1kXksNriqmlm%2FT9hb%2Fq%2Bas%3D&response-content-disposition=attachment%3B%20filename%3D%22api-demo%2Fhello%2F1548790973821.webm%22"
Example:
1548809176
⌘I